| Home | Libraries | People | FAQ | More

## Function template trim_fill

boost::algorithm::trim_fill — Trim Fill.

## Synopsis

    // In header: <boost/algorithm/string/trim_all.hpp>

    template<typename SequenceT, typename RangeT>
      void trim_fill(SequenceT & Input, const RangeT & Fill,
                     const std::locale & Loc = std::locale());

## Description

Remove all leading and trailing spaces from the input and replace all every block of consecutive spaces with a fill string defined by user. The input sequence is modified in-place.

Parameters: |
`Fill` | A string used to fill the inner spaces
`Input` | An input sequence
`Loc` | A locale used for 'space' classification
Returns: | A trimmed copy of the input